slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMESetUp

Sets up all the internal data structures necessary for the execution of the linear matrix equation solver.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetUp(LME lme)

Collective

### Input Parameter

| lme | - linear matrix equation solver context

### Notes

This function need not be called explicitly in most cases, since LMESolve() calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

### See Also

LMECreate(), LMESolve(), LMEDestroy()

### Level

developer

### Location

src/lme/interface/lmesetup.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages